package com.jh.boot.template;

import java.util.Locale;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.transaction.annotation.Transactional;

public class HibernateTemplateLoader implements TemplateLoader {

	@Autowired
	private HibernateTemplateRepository repository;
	
	
	@Override
	@Transactional
	public Template loadTemplate(String code, Locale locale) {
		String l = locale == null ? null : (locale.getLanguage() + "-" + locale.getCountry());
		Template t = repository.loadTemplate(code, l);
		//TODO refactor
		if (t == null) {
			t = repository.loadTemplate(code, locale.getLanguage());
		}
		if (t == null) {
			t = repository.loadTemplate(code, null);
		}
		return t;
	}

}
